Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Reports Financial Prepare

post/api/v1/skills/reports.financial.prepare/invoke

Generate a financial report (TB, P&L, balance sheet, mgmt accounts, or financial statements).

Request bodyapplication/json

FieldTypeDescription
client_idrequiredstring (uuid)β€”
report_typerequired"trial_balance" | "profit_loss" | "balance_sheet" | "management_accounts" | "monthly_management" | "leave_provision" | "soce" | "payroll_summary" | "financial_statements"β€”
trial_balanceprofit_lossbalance_sheetmanagement_accountsmonthly_managementleave_provisionsocepayroll_summaryfinancial_statements
periodrequiredstringβ€”
comparison_periodsstring[]β€”
industrystring | nullβ€”
output_format"pdf" | "xlsx" | "both"β€”
pdfxlsxboth
max_age_hoursnumber | nullβ€”

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
artifact_idstring (uuid) | nullβ€”
download_urlstringβ€”
summarystringβ€”
citationsany[]β€”
warningsstring[]β€”
stub_fieldsstring[]β€”
xlsx_download_urlstring | nullβ€”
report_typestringβ€”
periodstringβ€”
sectionsstring[]β€”
rows_writtenintegerβ€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/reports.financial.prepare/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "client_id": "00000000-0000-0000-0000-000000000000",
       "report_type": "trial_balance",
       "period": "string",
       "comparison_periods": [
         "string"
       ],
       "industry": null,
       "output_format": "pdf",
       "max_age_hours": null
     }'